%define languageenglazy Tigrigna
%define languagecode    ti
%define lc_ctype        ti_ER

%define upstream_version 20090911

Name:           hunspell-%{languagecode}
Version:        0.%{upstream_version}.1
Release:        %mkrel 11
Summary:        %{languageenglazy} hunspell dictionaries
License:        GPL+
Group:          System/Internationalization
URL:            http://www.cs.ru.nl/~biniam/geez/index.php
Source0:        http://www.cs.ru.nl/~biniam/geez/dict/ti_ER.zip

BuildArch:      noarch

Recommends:       hunspell

#Mageia values: 1 - aspell, 2 - hunspell, 3 - language specific
Provides:       enchant-dictionary = 2
Provides:       hunspell-dictionary
Provides:       hunspell-%{lc_ctype} = %{version}-%{release}
Provides:       hunspell-ti_ET = %{version}-%{release}
#Generic providing - see Mageia values
Provides:       dictionary-%{languagecode} = 2 
Provides:       dictionary-%{lc_ctype} = 2
Provides:       dictionary-ti_ET = 2

#MySpell is deprecated
# nothing to obsolete
#Obsoletes:      myspell-%{languagecode} <= 1.0.2-30
#Provides:       myspell-%{languagecode}
#Obsoletes:      myspell-%{lc_ctype} <= 1.0.2-30
#Provides:       myspell-%{lc_ctype}

AutoReqProv:    no

%description
%{languageenglazy} hunspell dictionaries.


%prep
%setup -q -c

%build
tr -d '\r' < README.txt > README.txt.new
touch -r README.txt README.txt.new
mv -f README.txt.new README.txt

%install
install -D -m 0644 -p ti_ER.dic %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.dic
install -D -m 0644 -p ti_ER.aff %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.aff

#backward compatibility
mkdir -p %{buildroot}%{_datadir}/myspell
pushd %{buildroot}%{_datadir}/myspell
    ln -s ../hunspell/%{lc_ctype}.dic %{lc_ctype}.dic
    ln -s ../hunspell/%{lc_ctype}.aff %{lc_ctype}.aff
popd #%%{buildroot}%%{_datadir}/myspell

%files
%doc README.txt
%{_datadir}/hunspell/*
%{_datadir}/myspell/*


%changelog
* Tue Feb 11 2020 umeabot <umeabot> 0.20090911.1-11.mga8
+ Revision: 1491088
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 0.20090911.1-10.mga7
+ Revision: 1262909
- Mageia 7 Mass Rebuild

* Tue Feb 02 2016 umeabot <umeabot> 0.20090911.1-9.mga6
+ Revision: 930906
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.20090911.1-8.mga5
+ Revision: 743085
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.20090911.1-7.mga5
+ Revision: 680316
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Fri Oct 18 2013 umeabot <umeabot> 0.20090911.1-6.mga4
+ Revision: 505656
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.20090911.1-5.mga3
+ Revision: 353742
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 18 2012 kamil <kamil> 0.20090911.1-4.mga3
+ Revision: 332445
- stop installing symlinks of dicts

* Fri Feb 03 2012 kamil <kamil> 0.20090911.1-3.mga2
+ Revision: 204305
- adapt .spec to the current policies

* Sat Mar 12 2011 dmorgan <dmorgan> 0.20090911.1-2.mga1
+ Revision: 69154
- imported package hunspell-ti


* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20090911-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Sep 11 2009 Caolan McNamara <caolanm@redhat.com> - 0.20090911-1
- latest version

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20090704-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Jul 06 2009 Caolan McNamara <caolanm@redhat.com> - 0.20090704-1
- initial version
